SystemOrganization addCategory: #'Glamour-Tests-Roassal'!

GLMMorphicTest subclass: #GLMRoassalMorphicTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Tests-Roassal'!

!GLMRoassalMorphicTest methodsFor: 'tests' stamp: 'TudorGirba 7/29/2012 20:22'!
testCanvas
	| browser roassalMorph |
	browser := GLMTabulator new.
	browser column: #one.
	browser transmit to: #one; andShow: [ :a | 
		a roassal painting: [:view :input |  view raw add: ROElement new]].
	window := browser openOn: 42.

	roassalMorph := self find: ROMorph in: window.
	self assert: (roassalMorph isKindOf: ROMorph)! !

!GLMRoassalMorphicTest methodsFor: 'tests' stamp: 'TudorGirba 5/5/2012 14:35'!
testRoassalPresentationConstructor
	| composite |
	composite := GLMCompositePresentation new.
	composite roassal.
	self assert: composite presentations size = 1.
	self assert: (composite presentations anyOne isKindOf: GLMRoassalPresentation)! !

!GLMRoassalMorphicTest methodsFor: 'tests' stamp: 'TudorGirba 12/7/2012 22:55'!
testUpdateUsesNewView
	| browser originalView newView |
	browser := GLMTabulator new.
	browser column: #one.
	browser transmit to: #one; andShow: [ :a | 
		a roassal painting: [:view :input | view nodes: ($a to: input)]].
	window := browser openOn: $d.

	originalView := (self find: ROMorph in: window) view.
	browser panes first presentations first update.
	newView := (self find: ROMorph in: window) view.
	
	self assert: newView ~~ originalView
! !

!GLMRoassalMorphicTest methodsFor: 'tests' stamp: 'TudorGirba 12/7/2012 23:00'!
testUpdateViewIsProperlyLaidOut
	| browser originalView newView |
	browser := GLMTabulator new.
	browser column: #one.
	browser transmit to: #one; andShow: [ :a | 
		a roassal painting: [:view :input | view nodes: ($a to: input)]].
	window := browser openOn: $d.

	originalView := (self find: ROMorph in: window) view.
	self assert: (originalView firstView elements detect: [:each | each model = $b]) bounds left = 20.
	browser panes first presentations first update.
	newView := (self find: ROMorph in: window) view.
	self assert: (newView firstView elements detect: [:each | each model = $b]) bounds left = 20! !
